
Redmine - Patch #10242

Migrate Redmine.pm from Digest::Sha1 to Digest::Sha

2012-02-15 12:10 - Ales Zabala Alava

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 1.3.2   

Description

The helper perl module to integrate subversion repositories authentication

with redmine uses Digest::SHA1. It would be far better to use Digest::SHA,

since it's faster and maintaned.

Digest::SHA1 has been removed from Debian distributions, for example.

The migration is quite simple, it's enough to rename all Digest::SHA1 to

Digest:SHA.

Related issues:

Has duplicate Redmine - Defect #9896: Redmine.pm - cannot use on newest syste... Closed

Associated revisions

Revision 8882 - 2012-02-15 20:25 - Jean-Philippe Lang

Use Digest::SHA instead of Digest::SHA1 in Redmine.pm (#10242).

History

#1 - 2012-02-15 20:25 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.2

Committed in r8882.

#2 - 2012-03-05 14:08 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

sha1_to_sha.patch 1.1 KB 2012-02-15 Ales Zabala Alava
